#! /bin/sh

VERSION=`hg summary | grep '^parent' | sed -En 's/^parent: [0-9]*:([0-9a-f]+) .*$/\1/p'`
if [ -z "$VERSION" ]
then
	echo The current Mercurial changeset could not be determined. >&2
	exit 1
fi

sed 's/$$REV$\$/hg '"$VERSION/" test-svn.py >test.py
chmod +x test.py